Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# ipe::PdfName Class Reference
Ipe Base

The PDF name object. More...

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

List of all members.

## Public Member Functions

- PdfName (const String &val)
- virtual const PdfName * name () const
- virtual void write (Stream &stream) const
- String value () const

## Detailed Description

The PDF name object.

## Constructor & Destructor Documentation

ipe::PdfName::PdfName | ( | const String & | val | ) | `[inline, explicit]`

## Member Function Documentation

const PdfName * PdfName::name | ( |  | ) | const`[virtual]`

Return this object as PDF name object.

Reimplemented from ipe::PdfObj.

void PdfName::write | ( | Stream & | stream | ) | const`[virtual]`

Implements ipe::PdfObj.

String ipe::PdfName::value | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp